<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class RapportStatus extends Model
{
    use HasFactory;

    protected $fillable=[
        'status'
    ];

    public function rapport()
    {
        return $this->hasMany(Rapport::class,'rapport_status_id');
    }
    public function rapportstatus()
    {
        return $this->belongsToMany(Rapport::class,'rapport_status');
    }

}
